=== debian/changelog ===
ros-foxy-run-moveit-cpp (2.2.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-run-moveit-cpp (2.2.2-1focal) focal; urgency=high

  * Migrate to joint_state_broadcaster (#656 <https://github.com/ros-planning/moveit2/issues/656>)
  * Add missing exec dependencies to demo packages (#582 <https://github.com/ros-planning/moveit2/issues/582>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Contributors: Henning Kayser, Jafar Abdi, Vatan Aksoy Tezer, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-run-moveit-cpp (2.2.1-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.2.0-1focal) focal; urgency=high

  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
  * Contributors: JafarAbdi

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.4-1focal) focal; urgency=high

  * Delete MoveIt fake_controller_manager (#471 <https://github.com/ros-planning/moveit2/issues/471>)
  * Contributors: AndyZe

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.1-1focal) focal; urgency=high

  * Update launch files to use ros2 control spawner (#405 <https://github.com/ros-planning/moveit2/issues/405>)
  * Use fake_components::GenericSystem from ros2_control (#361 <https://github.com/ros-planning/moveit2/issues/361>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.0-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-run-moveit-cpp (2.0.0-1focal) focal; urgency=high

  * [fix] Fix run_moveit_cpp version
  * [fix] ROS2 demo: Fix comment for static TF
  * [fix] ROS2 demo: Scope locked planning scene
  * [improve] Add collision object to the demo
  * [fix] Fix setup instructions for ROS2 demo
  * [improve] Add start positions config files
  * [doc] Add README.md for run_moveit_cpp
  * [improve] ROS2 demo: Improve plan visualization
  * [improve] Add .repos with demo runtime dependencies
  * [improve] Add trajectory publisher
  * [improve] Add fake joint driver node with config files
  * [improve] Edit Rviz config file
  * [improve] ROS2 demo: Add RViz config file
  * [improve] ROS2 demo: Async execution and plan visualization
  * [improve] ROS2 demo: Launch RViz
  * [improve] Add demo package run_moveit_cpp
  * Contributors: Henning Kayser, Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Feb 2020 07:00:00 -0000
